Bug 39272 - python3(sip) is provided by python3-module-sip and python3-module-sip5
Summary: python3(sip) is provided by python3-module-sip and python3-module-sip5
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: python3-module-sip (show other bugs)
Version: unstable
Hardware: all Linux
: P5 normal
Assignee: Vitaly Lipatov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on: 39275
Blocks:
  Show dependency tree
 
Reported: 2020-11-12 19:48 MSK by Dmitry V. Levin
Modified: 2021-07-07 20:54 MSK (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry V. Levin 2020-11-12 19:48:22 MSK
$ apt-cache showpkg 'python3(sip)'   
Package: python3(sip)
Versions: 

Reverse Depends: 
  python3-module-veusz,python3(sip) 0
  python3-module-qbrz,python3(sip) 0
  openshot,python3(sip) 0
  gnuradio,python3(sip) 0
  calibre,python3(sip) 0
  tortoisehg,python3(sip) 0
  retext,python3(sip) 0
  rapid-photo-downloader,python3(sip) 0
  nagstamon,python3(sip) 0
  gns3-gui,python3(sip) 0
Dependencies: 
Provides: 
Reverse Provides: 
python3-module-sip5 5.4.0-alt1:sisyphus+257594.100.1.1@1599527876
python3-module-sip 4.19.19-alt4:sisyphus+257595.100.1.1@1599528699

There should not be that many providers of python3(sip).
Comment 1 Vitaly Lipatov 2020-11-12 20:52:37 MSK
(Ответ для Dmitry V. Levin на комментарий #0)
> $ apt-cache showpkg 'python3(sip)'   
> Package: python3(sip)
> Versions: 
> 
> Reverse Depends: 
>   python3-module-veusz,python3(sip) 0
>   python3-module-qbrz,python3(sip) 0
>   openshot,python3(sip) 0
>   gnuradio,python3(sip) 0
>   calibre,python3(sip) 0
>   tortoisehg,python3(sip) 0
>   retext,python3(sip) 0
>   rapid-photo-downloader,python3(sip) 0
>   nagstamon,python3(sip) 0
>   gns3-gui,python3(sip) 0
> Dependencies: 
> Provides: 
> Reverse Provides: 
> python3-module-sip5 5.4.0-alt1:sisyphus+257594.100.1.1@1599527876
> python3-module-sip 4.19.19-alt4:sisyphus+257595.100.1.1@1599528699
> 
> There should not be that many providers of python3(sip).
Да, без оглядки на python3(sip), это был шаг в переходе с sip4 на sip5. Использование необходимого модуля контролировалось зависимостями.

Избавлюсь от python3-module-sip


>  * Assignee: imz@altlinux.org
Интересно, по какому принципу выбираются ответственные за пакет...
Comment 2 Andrey Cherepanov 2020-11-13 09:05:02 MSK
(Ответ для Vitaly Lipatov на комментарий #1)
> Интересно, по какому принципу выбираются ответственные за пакет...
$ ssh build.alt acl sisyphus @python show
@python imz cas cow enp evg george lav mithraen rider sem shaba sin vitty viy nbr antohami qa_viy darktemplar slev obirvalger grenka

Первый в списке группы.
Comment 3 Sergey V Turchin 2020-11-13 11:44:04 MSK
(Ответ для Vitaly Lipatov на комментарий #1)
> Да, без оглядки на python3(sip), это был шаг в переходе с sip4 на sip5.
А если понадобится, получится потом сделать это в p9?
Comment 4 Vitaly Lipatov 2020-11-13 12:12:43 MSK
(Ответ для Sergey V Turchin на комментарий #3)
> (Ответ для Vitaly Lipatov на комментарий #1)
> > Да, без оглядки на python3(sip), это был шаг в переходе с sip4 на sip5.
> А если понадобится, получится потом сделать это в p9?
Если руки не свяжут, то да. Цель понята.
Comment 5 Vitaly Lipatov 2020-11-23 21:58:17 MSK
Я решил пока откатить появление sip5, чтобы потом разом переехать.
262362 PENDING #2 sisyphus del=python3-module-sip5 del=python3-module-PyQt-builder
Comment 6 Grigory Ustinov 2021-07-07 20:54:26 MSK
Решено.